Subject: Re: [PATCH v2 net-next 3/6] sfc: optional logging of TC offload errors

From: Jakub Kicinski <[email-masked]>
Date: Wed, 28 Sep 2022 10:44:26 -0700

On Mon, 26 Sep 2022 19:57:33 +0100 [email-masked] wrote:
> TC offload support will involve complex limitations on what matches and
>  actions a rule can do, in some cases potentially depending on rules
>  already offloaded.  So add an ethtool private flag "log-tc-errors" which
>  controls reporting the reasons for un-offloadable TC rules at NETIF_INFO.

Because extack does not work somehow?

Somehow you limitations are harder to debug that everyone else's so you
need a private flag? :/